# MongoCollection::toIndexString

(PECL mongo >=0.9.0)

MongoCollection::toIndexString — Converts keys specifying an index to its identifying string

### Description

static protected MongoCollection::toIndexString ( mixed `$keys` ) : string
Warning

This method is deprecated since version 1.5.0.

### Parameters

`keys`

  Field or fields to convert to the identifying string

### Return Values

Returns a string that describes the index.

### Examples

Example #1 MongoCollection::toIndexString() example

This example shows how you can create an index name out of keys. Because this is a protected (static) method, you need to overload it in a child class first.

`<?php
// Create inherited class to make the method "public".
class MyCollection extends MongoCollection
{
static public function toIndexString($a)
{
return parent::toIndexString($a);
}
}
echo MyCollection::toIndexString("foo"), "\n";
// Outputs: foo_1
echo MyCollection::toIndexString(array('name' => 1, 'age' => -1)), "\n";
// Outputs: name_1_age_-1
?>`

### See Also

MongoDB core docs on » indexes.

### Changelog

Version | Description
--- | ---
1.5.0 | This method has been deprecated.